> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Bulk get runs by ID

GET https://{tenant_name}.benchling.com/api/v2/assay-runs:bulk-get

Bulk get runs by ID

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/assay-runs/bulk-get-assay-runs

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `assayRunIds` (string, required) — Comma-separated list of assay run IDs

## Response

### 200

OK

- `assayRuns` (list of AssayRun, optional)

## Types

### AssayRun

- `apiURL` (string, optional) — The canonical url of the Run in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (string, optional)
- `creator` (UserSummary, optional)
- `entryId` (string, optional, nullable)
- `equipmentId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `id` (string, optional)
- `isReviewed` (boolean, optional)
- `projectId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `v3Id` (string, optional) — V3 identifier for the run
- `validationComment` (string, optional, nullable)
- `validationStatus` (enum, optional) — Must be either VALID or INVALID
  - Allowed values: `VALID`, `INVALID`

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

## Examples

**Response**

```json
{
  "assayRuns": [
    {
      "apiURL": "https://benchling.com/api/v2/assay-runs/21f50003-0389-4b2a-9293-a17967b85961",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "createdAt": "2021-05-06T13:43:25.752597+00:00",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "entryId": "etr_Hds1XAaq",
      "equipmentId": "eqpt_XzU5p4dR",
      "fields": {},
      "id": "77af3205-65af-457f-87f5-75462b85075a",
      "isReviewed": true,
      "projectId": "src_YzU5p4dR",
      "schema": {
        "id": "assaysch_fFLKmdmG",
        "name": "Assay Run"
      },
      "v3Id": "run_21f50003",
      "validationComment": "Reported valid with no caveats",
      "validationStatus": "VALID"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/assay-runs:bulk-get"

querystring = {"assayRunIds":"assayRunIds"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/assay-runs:bulk-get?assayRunIds=assayRunIds';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```